#!/bin/sh

if [ $# -eq 0 ] ; then
    echo "No arguments passed to the script. Try './set_log_categories.sh -h' to get more information." >&2
    exit 1
fi

while getopts ":h" opt; do
  case $opt in
  h)
    echo "Example 1: './set_log_categories.sh 8021X,ACTIVITY,ADAPMGR' will set listed categories."
    echo "Example 2: './set_log_categories.sh 8021X ACTIVITY ADAPMGR' will set listed categories."
    echo "Categories could be in upper case, lower case or mixed case."
    echo "Categories should be separated with whitespace or comma."
    exit 0
    ;;
 \?)
    echo "Invalid option: -$OPTARG" >&2
    exit 1
    ;;
  esac
done

command="SETLOGCATEGORIES"
i=1
for category in "$@"
do
    command="$command $category"
    i=$((i + 1))
done

echo "$command" > /var/tmp/logging_pipe
cat /var/tmp/logging_pipe